# Redland RDF Application Framework - Perl RDF::Redland Class

## NAME

RDF::Redland - Redland RDF Class

## SYNOPSIS

      use RDF::Redland;
      my $storage=new RDF::Redland::Storage("hashes", "test", "new='yes',hash-type='memory'");
      my $model=new RDF::Redland::Model($storage, "");

      ...

## DESCRIPTION

This class initialises the Redland RDF classes.

## STATIC METHODS

set_error_handler SUB
  Set SUB as the subroutine to be called on a Redland error with the error message as the single argument. For example:

        RDF::Redland::set_error_handler(sub {
          my $msg=shift;
          # Do something with $msg
        });

  The default if this is not set, is to run die $msg

set_warning_handler SUB
  Set SUB as the subroutine to be called on a Redland warning with the warning message as the single argument. For example:

        RDF::Redland::set_warning_handler(sub {
          my $msg=shift;
          # Do something with $msg
        });

  The default if this is not set, is to run warn $msg

## SEE ALSO

the RDF::Redland::Node manpage, the RDF::Redland::Statement manpage, the RDF::Redland::Model manpage, the RDF::Redland::Storage manpage, the RDF::Redland::Parser manpage, the RDF::Redland::Iterator manpage, the RDF::Redland::Stream manpage, the RDF::Redland::URI manpage and the RDF::Redland::RSS manpage.

## AUTHOR

Dave Beckett - http://purl.org/net/dajobe/

Copyright 2000-2004 Dave Beckett, Institute for Learning and Research Technology, University of Bristol